/**
 *
 */
package com.pcloud.book.book.dto;

import com.pcloud.common.dto.BaseDto;

/**
 * @描述：书籍关联资源
 * @作者：lili
 * @创建时间：2017年3月17日,下午3:45:37
 * @版本：1.0
 */
public class BookResourceDto extends BaseDto {

    /**
     *
     */
    private static final long serialVersionUID = -7357947235454060827L;

    /**
     * 书籍资源标识
     */
    private Long bookResourceId;

    /**
     * 书籍标识
     */
    private Long bookId;

    /**
     * 资源标识
     */
    private Long resourceId;

    /**
     * 渠道标识
     */
    private Long channelId;

    /**
     * 资源类型
     */
    private String resourceType;

    /**
     * 资源
     */
    private Object resource;

    public Long getChannelId() {
        return channelId;
    }

    public void setChannelId(Long channelId) {
        this.channelId = channelId;
    }

    public Long getBookId() {
        return bookId;
    }

    public void setBookId(Long bookId) {
        this.bookId = bookId;
    }

    public Long getBookResourceId() {
        return bookResourceId;
    }

    public void setBookResourceId(Long bookResourceId) {
        this.bookResourceId = bookResourceId;
    }

    public Long getResourceId() {
        return resourceId;
    }

    public void setResourceId(Long resourceId) {
        this.resourceId = resourceId;
    }

    public Object getResource() {
        return resource;
    }

    public void setResource(Object resource) {
        this.resource = resource;
    }

    public String getResourceType() {
        return resourceType;
    }

    public void setResourceType(String resourceType) {
        this.resourceType = resourceType;
    }

    @Override
    public String toString() {
        return "BookResourceDto [bookResourceId=" + bookResourceId + ", bookId=" + bookId + ", resourceId=" + resourceId
                + ", channelId=" + channelId + ", resourceType=" + resourceType + ", resource=" + resource + "]";
    }

}
